import { type Context, type IQueryEngine, type RDF } from "../rdf.js";
export declare class QueryEngine implements IQueryEngine {
    protected getSparqlEndpoint(context?: Context): string;
    protected getFetch(context?: Context): typeof fetch;
    query(query: string, context?: Context): Promise<Response>;
    queryBindings(query: string, context?: Context): Promise<RDF.ResultStream<RDF.Bindings>>;
    queryBoolean(query: string, context?: Context): Promise<boolean>;
    queryQuads(query: string, context?: Context): Promise<RDF.ResultStream<RDF.Quad>>;
    queryVoid(query: string, context?: Context): Promise<void>;
}
